Skip to main content
PUT
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
addons
/
{addon_name}
/
settings
Update Addon Settings Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/addons/{addon_name}/settings"

payload = {
    "sync_policy": {
        "automated": True,
        "auto_prune": True,
        "self_heal": True,
        "sync_options": ["CreateNamespace=true", "ServerSideApply=true"]
    },
    "sync_window": {
        "enabled": False,
        "schedule": "<string>",
        "duration": "<string>",
        "timezone": "UTC"
    },
    "ignore_differences": [
        {
            "group": "<string>",
            "kind": "<string>",
            "name": "<string>",
            "namespace": "<string>",
            "json_pointers": ["<string>"],
            "jq_path_expressions": ["<string>"],
            "managed_fields_managers": ["<string>"]
        }
    ],
    "retry_policy": {
        "limit": 5,
        "backoff": {
            "duration": "5s",
            "factor": 2,
            "max_duration": "3m"
        }
    },
    "revision_history_limit": 123
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

cluster_id
string<uuid4>
required
addon_name
string
required

Body

application/json
sync_policy
AddonSyncPolicy · object
sync_window
AddonSyncWindow · object
ignore_differences
IgnoreDifference · object[] | null
retry_policy
AddonRetryPolicy · object
revision_history_limit
integer | null

Response

Successful Response